=== debian/control ===
Source: libgupnp
Section: libs
Priority: optional
Maintainer: Aapo Makela <aapo.makela@nokia.com>
Build-Depends: debhelper (>= 4.0.0), clinkc-av-dev (>= 1.0-13), clinkc-dev (>= 1.0-19), libosso-dev, libosso-gnomevfs2-dev, libgconf2-dev, libconic0-dev (>= 0.5), libhildonmime-dev
Standards-Version: 3.6.0

Package: libgupnp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, clinkc-av0, libconic0
Description: Gnome UPnP library
 GnomeVFS plugin for browsing UPnP/AV media servers.

Package: libgupnp0-dbg
Section: devel
Architecture: any
Depends: libgupnp0 (= ${Source-Version})
Description: Debug symbols for UPnP/AV GnomeVFS plugin

Package: libgupnp-test
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgupnp0
Description: Testing binaries for libgupnp
 Includes binaries for testing libgupnp
