## libgupnp 2.15

=== debian/changelog ===
libgupnp (2.15) unstable; urgency=low

  * Removed gnome_vfs_file_info_clear() call. Fixes: NB#82411

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 14 Mar 2008 11:09:08 +0200

libgupnp (2.14) unstable; urgency=low

  * Use tell() in http_method for HTTP URLs. Fixes: NB#80853

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 19 Feb 2008 15:20:18 +0200

libgupnp (2.13) unstable; urgency=low

  * Clear file info in upnpav_determine_fileinfo(). Fixes: NB#79147

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  5 Feb 2008 10:47:43 +0200

libgupnp (2.12) unstable; urgency=low

  * Fixed to compile with GCC 4.x toolchain.
  * Fixed few lintian warnings.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  3 Jan 2008 16:10:48 +0200
