=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Architecture: any
 Depends: libgupnp0 (= ${Source-Version})
 Description: Debug symbols for UPnP/AV GnomeVFS plugin
+ Package containing debug symbols for UPnP/AV GnomeVFS plugin.
 
 Package: libgupnp-test
 Section: libs
